Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16041

Description

The (self-admittingly out of date) user guide here: 

http://docs.qgis.org/html/en/docs/user_manual/working_with_ogc/ogc_client_support.html#wfs-and-wfs-t-client states that WFS 1.0.0 is

the only one supported.

I have a GeoServer 2.2.2 install. GeoServer can serve WFS 1.0.0, 1.1.0 and 2.0.0.

The bug is that if QGIS 1.8.0 can't support anything other than 1.0.0, it doesn't tell me as the user that when I try and connect to one.

When I try and connect to 1.1.0 (http://wppgeog3:8082/geoserver/ows?service=wfs&#38;version=1.1.0&#38;request=GetCapabilities) -

QGIS picks up the layer and goes through the connection procedure. But no actual data is loaded even though the layer is added.

When I try and connect to 2.0.0 (http://wppgeog3:8082/geoserver/ows?service=wfs&#38;version=2.0.0&#38;request=GetCapabilities) - I

get an error "capabilities document contained no layers." - "capabilities" should have a capital C, and that's ignoring the fact that the

version is unsupport.

Both versions should give an error:

"This version of WFS is unsupported. Please use: [give a list of supported WFS versions]"

History

#1 - 2012-12-31 01:09 AM - Giovanni Manghi

have you tried the wfs 2.0 client plugin?

https://issues.qgis.org/projects/wfs20client

#2 - 2012-12-31 02:25 AM - Jonathan Moules

Thanks, I wasn't aware of it.

But that doesn't change this issue as being a bug. Stock QGIS should complain if I'm trying to access a WFS it can't use.

#3 - 2013-01-04 08:03 AM - Marco Hugentobler

- Status changed from Open to Closed

A version test is added in commit 08be5cd83709646e5119fc329612b9c66b0cf214.

I cannot access the test server at the moment. Please test and reopen should the error message not show up.
